<?php
/**
 * Admin
 *
 * @package GamiPress\Transfers\Notes\Admin
 * @since 1.0.0
 */
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * Plugin automatic updates
 *
 * @since  1.0.0
 *
 * @param array $automatic_updates_plugins
 *
 * @return array
 */
function gamipress_transfers_notes_automatic_updates( $automatic_updates_plugins ) {

    $automatic_updates_plugins['gamipress-transfer-notes'] = __( 'GamiPress - Transfers Notes', 'gamipress-transfer-notes' );

    return $automatic_updates_plugins;
}
add_filter( 'gamipress_automatic_updates_plugins', 'gamipress_transfers_notes_automatic_updates' );

/**
 * Register custom transfers CMB2 meta boxes
 *
 * @since  1.0.0
 */
function gamipress_transfers_notes_transfers_meta_boxes() {

    $prefix = '_gamipress_transfers_notes_';

    // Transfer notes
    gamipress_add_meta_box(
        'gamipress-transfer-notes-notes',
        __( 'User Notes', 'gamipress-transfers-notes' ),
        'gamipress_transfers',
        array(
            $prefix . 'notes' => array(
                'type' 	=> 'textarea',
                'attributes' => array(
                    'style' => 'max-width: 100%; width: 100%;'
                )
            )
        )
    );

}
add_action( 'cmb2_admin_init', 'gamipress_transfers_notes_transfers_meta_boxes' );
