<?php
/**
 * Transfer Details
 *
 * @package GamiPress\Transfers\Notes\Transfer_Details
 * @since 1.0.0
 */
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * After render user transfer details items
 *
 * @since 1.0.0
 *
 * @param int       $user_id          User ID
 * @param stdClass  $transfer         Transfer Object
 * @param int       $transfer_id      Transfer ID
 * @param array     $transfer_items   Transfer Items
 */
function gamipress_transfer_notes_transfer_details( $user_id, $transfer, $transfer_id, $transfer_items ) {

    $prefix = '_gamipress_transfers_notes_';

    // Get the transfer notes
    ct_setup_table( 'gamipress_transfers' );
    $notes = ct_get_object_meta( $transfer_id, $prefix . 'notes', true );
    ct_reset_setup_table();

    /**
     * Filters the note field output to allow third party extension customize it
     *
     * @since 1.0.0
     *
     * @param string $notes
     * @param int       $user_id          User ID
     * @param stdClass  $transfer         Transfer Object
     * @param int       $transfer_id      Transfer ID
     *
     * @return string
     */
    $notes = apply_filters( 'gamipress_transfers_notes_transfer_details_notes', $notes, $user_id, $transfer, $transfer_id );
    ?>
    <h3><?php echo apply_filters( 'gamipress_transfers_notes_transfer_details_notes_title', __( 'Notes', 'gamipress-transfers-notes' ), $user_id, $transfer, $transfer_id ); ?></h3>

    <p id="gamipress-transfers-notes-transfer-details-notes" class="gamipress-transfers-notes-transfer-details-notes">
        <?php echo $notes; ?>
    </p>

    <?php
}
add_action( 'gamipress_transfers_after_transfer_details_items', 'gamipress_transfer_notes_transfer_details', 10, 4 );